# Uses of Enum Class
org.eclipse.emf.compare.DifferenceKind

Packages that use DifferenceKind
Package
Description
org.eclipse.emf.compare
org.eclipse.emf.compare.diff
org.eclipse.emf.compare.impl
org.eclipse.emf.compare.internal.postprocessor.factories
org.eclipse.emf.compare.utils

## Uses of DifferenceKind in org.eclipse.emf.compare

Fields in org.eclipse.emf.compare with type parameters of type DifferenceKind
Modifier and Type
Field
Description
`static final List<DifferenceKind>`
DifferenceKind.`VALUES`
A public read-only list of all the 'Difference Kind' enumerators.
Methods in org.eclipse.emf.compare that return DifferenceKind
Modifier and Type
Method
Description
`static DifferenceKind`
DifferenceKind.`get(int value)`
Returns the 'Difference Kind' literal with the specified integer value.
`static DifferenceKind`
DifferenceKind.`get(String literal)`
Returns the 'Difference Kind' literal with the specified literal value.
`static DifferenceKind`
DifferenceKind.`getByName(String name)`
Returns the 'Difference Kind' literal with the specified name.
`DifferenceKind`
Diff.`getKind()`
Returns the value of the 'Kind' attribute.
`static DifferenceKind`
DifferenceKind.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DifferenceKind[]`
DifferenceKind.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.emf.compare with parameters of type DifferenceKind
Modifier and Type
Method
Description
`void`
Diff.`setKind(DifferenceKind value)`
Sets the value of the '`Kind`' attribute.

## Uses of DifferenceKind in org.eclipse.emf.compare.diff

Methods in org.eclipse.emf.compare.diff with parameters of type DifferenceKind
Modifier and Type
Method
Description
`void`
DiffBuilder.`attributeChange(Match match, EAttribute attribute, Object value, DifferenceKind kind, DifferenceSource source)`
This will be called whenever the diff engine detected a difference for a given attribute value.
`void`
IDiffProcessor.`attributeChange(Match match, EAttribute attribute, Object value, DifferenceKind kind, DifferenceSource source)`
This will be called whenever the diff engine detected a difference for a given attribute value.
`protected void`
DefaultDiffEngine.`featureChange(Match match, EStructuralFeature feature, Object value, DifferenceKind kind, DifferenceSource source)`
Delegates to the diff processor to create the specified feature change.
`void`
DiffBuilder.`featureMapChange(Match match, EAttribute attribute, Object value, DifferenceKind kind, DifferenceSource source)`
This will be called whenever the diff engine detected a difference for a given attribute value.
`void`
IDiffProcessor.`featureMapChange(Match match, EAttribute attribute, Object value, DifferenceKind kind, DifferenceSource source)`
This will be called whenever the diff engine detected a difference for a given attribute value.
`void`
DiffBuilder.`referenceChange(Match match, EReference reference, EObject value, DifferenceKind kind, DifferenceSource source)`
This will be called whenever the Diff engine detected a difference for a given reference value.
`void`
IDiffProcessor.`referenceChange(Match match, EReference reference, EObject value, DifferenceKind kind, DifferenceSource source)`
This will be called whenever the Diff engine detected a difference for a given reference value.
`void`
DiffBuilder.`resourceAttachmentChange(Match match, String uri, DifferenceKind kind, DifferenceSource source)`
This will be called whenever the diff engine detected the addition (or removal) of a root in a given Resource.
`void`
IDiffProcessor.`resourceAttachmentChange(Match match, String uri, DifferenceKind kind, DifferenceSource source)`
This will be called whenever the diff engine detected the addition (or removal) of a root in a given Resource.
`void`
DiffBuilder.`resourceLocationChange(MatchResource matchResource, String baseLocation, String changedLocation, DifferenceKind kind, DifferenceSource source)`
Deprecated.
`ResourceLocationChange`s have been replaced by `ResourceAttachmentChange`s of kind Move.
`void`
IDiffProcessor.`resourceLocationChange(MatchResource matchResource, String baseLocation, String changedLocation, DifferenceKind kind, DifferenceSource source)`
This will be called whenever the diff engine detects the change of a Resource location.

## Uses of DifferenceKind in org.eclipse.emf.compare.impl

Fields in org.eclipse.emf.compare.impl declared as DifferenceKind
Modifier and Type
Field
Description
`protected DifferenceKind`
DiffImpl.`kind`
The cached value of the '`Kind`' attribute.
`protected static final DifferenceKind`
DiffImpl.`KIND_EDEFAULT`
The default value of the '`Kind`' attribute.
Methods in org.eclipse.emf.compare.impl that return DifferenceKind
Modifier and Type
Method
Description
`DifferenceKind`
CompareFactoryImpl.`createDifferenceKindFromString(EDataType eDataType, String initialValue)`
`DifferenceKind`
DiffImpl.`getKind()`
Methods in org.eclipse.emf.compare.impl with parameters of type DifferenceKind
Modifier and Type
Method
Description
`void`
DiffImpl.`setKind(DifferenceKind newKind)`

## Uses of DifferenceKind in org.eclipse.emf.compare.internal.postprocessor.factories

Methods in org.eclipse.emf.compare.internal.postprocessor.factories that return DifferenceKind
Modifier and Type
Method
Description
`protected DifferenceKind`
AbstractChangeFactory.`getRelatedExtensionKind(Diff input)`
Get the `DifferenceKind` of the matching diagram difference extension in relation to the given difference.
Methods in org.eclipse.emf.compare.internal.postprocessor.factories with parameters of type DifferenceKind
Modifier and Type
Method
Description
`abstract void`
AbstractChangeFactory.`setRefiningChanges(Diff extension, DifferenceKind extensionKind, Diff refiningDiff)`
Get the refining differences and set the given extension with them, from the given refining one.

## Uses of DifferenceKind in org.eclipse.emf.compare.utils

Methods in org.eclipse.emf.compare.utils with parameters of type DifferenceKind
Modifier and Type
Method
Description
`static Predicate<? super Diff>`
EMFCompareJavaPredicates.`ofKind(DifferenceKind... kind)`
This predicate can be used to check whether a particular diff is of the given `kind`.
`static com.google.common.base.Predicate<? super Diff>`
EMFComparePredicates.`ofKind(DifferenceKind kind)`
Deprecated.
This predicate can be used to check whether a particular diff is of the given `kind`.
`static com.google.common.base.Predicate<Diff>`
EMFComparePredicates.`ofKind(DifferenceKind kind1, DifferenceKind kind2)`
Deprecated.
Accept only diffs of the given kinds.